# SummaryRowPosition

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Determines the location where to insert the [DataGridViewSummaryRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewsummaryrow.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public enum SummaryRowPosition : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum SummaryRowPosition As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                               |
| ---------- | --------------------------------------------------------- |
| **Above**  | The summary row is inserted above the group.              |
| **Below**  | The summary row is inserted below the group.              |
| **Parent** | The summary row is created a the parent row of the group. |

## Used By

| Name                                                                                                                                                 | Description                                                                                                                                                                                                                                                                                                                     |
| ---------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridView.AddSummaryRows](/api/wisej.web/lists-and-grids/datagridview.md#addsummaryrows-summarytype-groupcol-summarycol-style-customsummary)     | Creates or updates a [DataGridViewSummaryRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewsummaryrow.md) for each group limited by the values in column *groupCol* .                                                                                                                                      |
| [DataGridView.RemoveSummaryRows](/api/wisej.web/lists-and-grids/datagridview.md#removesummaryrows)                                                   | Removes the summary rows that match the specified *summaryPosition* .                                                                                                                                                                                                                                                           |
| [DataGridView.CreateSummaryRow](/api/wisej.web/lists-and-grids/datagridview.md#createsummaryrow-group-summaryposition-groupfromcol-grouptocol-style) | Invoked by all the [AddSummaryRows](/api/wisej.web/lists-and-grids/datagridview.md#addsummaryrows-summarytype-groupcol-summarycol-style-customsummary) methods to create a new [DataGridViewSummaryRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewsummaryrow.md) in relation to the specified *group* . |
| [DataGridViewSummaryRow.SummaryPosition](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewsummaryrow.md#summaryposition)            | Returns the [SummaryRowPosition](/api/wisej.web/lists-and-grids/datagridview/wisej.web.summaryrowposition.md) of this [DataGridViewSummaryRow](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewsummaryrow.md).                                                                                                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.summaryrowposition.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
